CVE-2010-1449

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer overflow in rgbimgmodule.c in the rgbimg module in Python 2.5 allows remote attackers to have an unspecified impact via a large image that triggers a buffer overflow. NOTE: this vulnerability exists because of an incomplete fix for CVE-2008-3143.12.

References

http://bugs.python.org/issue8678

http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html

http://lists.opensuse.org/opensuse-security-announce/2011-01/msg00006.html

http://secunia.com/advisories/42888

http://secunia.com/advisories/43068

http://secunia.com/advisories/43364

http://support.apple.com/kb/HT4435

http://www.mandriva.com/security/advisories?name=MDVSA-2010:215

http://www.redhat.com/support/errata/RHSA-2011-0027.html

http://www.redhat.com/support/errata/RHSA-2011-0260.html

http://www.securityfocus.com/bid/40363

http://www.vupen.com/english/advisories/2011/0122

http://www.vupen.com/english/advisories/2011/0212

http://www.vupen.com/english/advisories/2011/0413

https://bugzilla.redhat.com/show_bug.cgi?id=541698

Details

Source: MITRE

Published: 2010-05-27

Updated: 2020-02-18

Type: CWE-190

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:python:python:2.5.0:*:*:*:*:*:*:*

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
68201Oracle Linux 4 : python (ELSA-2011-0260)NessusOracle Linux Local Security Checks
high
60960Scientific Linux Security Update : python on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
high
60935Scientific Linux Security Update : python on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
52007RHEL 4 : python (RHSA-2011:0260)NessusRed Hat Local Security Checks
high
51642SuSE 10 Security Update : Python (ZYPP Patch Number 7314)NessusSuSE Local Security Checks
high
51524RHEL 5 : python (RHSA-2011:0027)NessusRed Hat Local Security Checks
high
800791Mac OS X 10.6 < 10.6.5 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high
5705Mac OS X 10.6 < 10.6.5 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
50549Mac OS X Multiple Vulnerabilities (Security Update 2010-007)NessusMacOS X Local Security Checks
high
50548Mac OS X 10.6.x < 10.6.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
50423Mandriva Linux Security Advisory : python (MDVSA-2010:215)NessusMandriva Local Security Checks
high